package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhAccount;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhAccountExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhAccountMapper {
    long countByExample(ContentPlatformGzhAccountExample example);

    int deleteByExample(ContentPlatformGzhAccountExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhAccount record);

    int insertSelective(ContentPlatformGzhAccount record);

    List<ContentPlatformGzhAccount> selectByExample(ContentPlatformGzhAccountExample example);

    ContentPlatformGzhAccount selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhAccount record, @Param("example") ContentPlatformGzhAccountExample example);

    int updateByExample(@Param("record") ContentPlatformGzhAccount record, @Param("example") ContentPlatformGzhAccountExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhAccount record);

    int updateByPrimaryKey(ContentPlatformGzhAccount record);
}